#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(_fwctl_alloc_device, "_gpl", "FWCTL");
KSYMTAB_FUNC(fwctl_register, "_gpl", "FWCTL");
KSYMTAB_FUNC(fwctl_unregister, "_gpl", "FWCTL");

SYMBOL_CRC(_fwctl_alloc_device, 0x02191fe3, "_gpl");
SYMBOL_CRC(fwctl_register, 0x3e5ae060, "_gpl");
SYMBOL_CRC(fwctl_unregister, 0x6d78b1ec, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbfc1d1a, "check_zeroed_user" },
	{ 0x37a0cba, "kfree" },
	{ 0x8209338a, "pcpu_hot" },
	{ 0xcbade05e, "get_device" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xff3f03f8, "cdev_device_add" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa2cf78d1, "put_device" },
	{ 0xeb6eb87, "add_taint" },
	{ 0xc6cbbc89, "capable" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x57bc19d2, "down_write" },
	{ 0xce807a25, "up_write" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xffb7c514, "ida_free" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x994402b2, "class_unregister" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xfb578fc5, "memset" },
	{ 0xf34520cd, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x1f057e46, "mlx_backport_dependency_symbol" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x668b19a1, "down_read" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0xabf53b48, "rep_stos_alternative" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x53b954a2, "up_read" },
	{ 0x7d1820e5, "class_register" },
	{ 0xdf941f8d, "cdev_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x6b626211, "dev_set_name" },
	{ 0xc55b7ef8, "cdev_device_del" },
	{ 0xaf47d697, "device_initialize" },
	{ 0x5c9a8074, "module_layout" },
};

MODULE_INFO(depends, "mlx_compat");

